{"swagger":"2.0","info":{"version":"1.0.0","title":"3DS Web Service Contract","description":"3DS Web Service contract for Payment Services"},"paths":{"/payments/threeds":{"post":{"tags":["3DS Web Service"],"summary":"Obtain an Authorization response after sending 3DS details","operationId":"threeds","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Required data elements to submit the authorization request to payment service provider in case of 3DS","required":true,"schema":{"$ref":"#/definitions/3DSRequest"},"x-examples":{"application/json":"{   \r\n   \"details\": \"ABCXYZ\"    \r\n}}"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/3DSResponse"},"examples":{"application/json":{"pspReference":8515373264473946,"result":"ChallengeShopper"}}}}}}},"definitions":{"paymentData":{"description":"A Unique string which would identify the payment","type":"string","example":"Ab02b4c0!BQABAgAU3ya4Ej9...."},"details":{"type":"object","properties":{"fingerprint":{"description":"If you receive an IdentifyShopper resultCode, you need to get the shopper's 3D Secure 2 device fingerprint","type":"string","example":"m7Cmrf++0cW4P6XfF7m/rA"},"challengeResult":{"description":"If you receive ChallengeShopper resultCode, this means that the issuer requires further shopper interaction","type":"string","example":"TODO"},"MD":{"description":"TODO","type":"string","example":"sdfsdfsdf..."},"PaRes":{"description":"TODO","type":"string","example":"sdkfhskdjfsdf..."}}},"3DSRequest":{"type":"object","properties":{"paymentData":{"type":"string","$ref":"#/definitions/paymentData"},"details":{"type":"object","$ref":"#/definitions/details"}}}},"host":"virtserver.swaggerhub.com","basePath":"/americanairlines5/3DSWebService/1.0.0","schemes":["https"]}